import { AbstractRepository } from '@crosslab/service-common';
import { InstanceModel } from '../model.js';
export class InstanceRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Instance');
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(InstanceModel);
    }
    async write(model, data) {
        if (data.token)
            model.token = data.token;
        if (data.url)
            model.url = data.url;
        if (data.codeUrl)
            model.codeUrl = data.codeUrl;
    }
    async format(model) {
        return {
            url: model.url,
            token: model.token,
            codeUrl: model.codeUrl,
        };
    }
}
//# sourceMappingURL=instance.js.map